<?php
include($cms['tngpath'] . "surname_cloud.class.php");
$flags['noicons'] = true;
$flags['noheader'] = false;
$flags['nomobile'] = false;
$flags['homeclass'] = "template";
tng_header($sitename ? "" : $text['mnuheader'], $flags);
?>
    <table class="contentTable">
      <tr>
        <!-- BEGIN: Content - Navigation -->
        <?php 
          include($cms['tngpath'] . "templates/NearDawn2/navigation.php");
        ?>
        <!-- END: Content - Navigation -->
        <!-- BEGIN: Content - Demo ('Features') -->
        <td id="contentFeatBox">
          <table cellspacing="0" class="contentRowLast tablesaw tablesaw-swipe" data-tablesaw-mode="swipe">
            <thead>
              <tr>
                <th class="crush" scope="col" data-tablesaw-priority="2"/>
                <th class="crush" scope="col" data-tablesaw-priority="2"/>
              </tr>
            </thead>
            <tbody>
              <!-- BEGIN: Content (row 1) -->
              <tr>
                <td class="contentFeat2Col contentFeatInner">
                  <!-- Discussion  -->
                  <div class="featBox thFeatBox">
                    <div class="featTitle">
                      <span class="titleLg"><?php echo 'Support for Pages With Template Look-and-Feel'; ?></span>
                    </div>
                    <p>eGenea templates have a built in system that supports additional pages
                      with the same look-and-feel as the homepage (i.e., <i>index.php)</i>.
                      An example (this page), formatted for two-column content, can be found in 
                      the top-level folder of the <i>NearDark2</i>, <i>NearDawn2</i>,
                      <i>DayLight</i>, and <i>NightLight</i> templates.  This demonstration page
                      is named <i>demo.php</i>.
                    </p>
                    <p>To enable this page, follow these steps:</p>
                    <ol>
                      <li>In the template subfolder, <i>etc</i>, there is a file named
                        <i>_fragment_demo.php</i>.  This is a 'scaffold' or 'wrapper' file.  Copy
                        this file to your TNG site's top-level folder and rename it <i>demo.php</i>
                      </li>
                      <li>In your template's folder check the file <i>topmenu.php</i>
                        to ensure that there is an entry for 'demo.php' in the switch
                        statement beginning at or around line 88.  The presence of that
                        case supports rendering <i>demo.php</i> with the same 
                        look-and-feel as the homepage.</li>
                    </ol>
                  </div>
                </td>
                <td class="contentFeat2Col contentFeatInner">
                  <!-- Steps -->
                  <div class="featBox thFeatBox">
                    <div class="featTitle">
                      <span class="titleLg"><?php echo 'Creating New Pages With Template Look-and-Feel'; ?></span>
                    </div>
                    <p>In these instructions, we'll use the name <i>mypage.php</i> to refer to a 
                      new page that you want to have the look-and-feel of your home page.</p>
                    <ol>
                        <li>In the subdirectory <i>etc</i> of your template, make a copy of the file
                        <i>_fragment_demo.php</i> and name it <i>mypage.php</i>.</li>
                      <li>On or about line 8 of the file you just created, where it reads
                      'demo.php', change it to read 'mypage.php'.</li>
                      <li>Move the new file to your TNG site's top-level directory.</li>
                      <li>Add a case statement to <i>topmenu.php</i>, for <i>mypage.php</i>
                        just after the similar case statement for <i>index.php</i> at or below
                        line 88.</li>
                      <li>Using <i>index.php</i> or <i>demo.php</i> in your template directory as 
                        an example, create your new page (also named <i>mypage.php</i>).</li>
                      <li>Test your new page by navigating to:<br/> https://[your site]/mypage.php.
                  </div>
                </td>
                <!-- END: ToS (column 2) -->
              </tr>
              <!-- END: Content (row 1) -->
            </tbody>
          </table>
        </td>
        <!-- END: Content - Demo ('Features') -->
      </tr>
    </table>
<?php 
  $flags['basicfooter'] = false;
  echo tng_footer($flags); 
?>
